Bug 176431 - sysreport does not include cluster config file
sysreport does not include cluster config file
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sysreport (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: Reopened
Depends On:
Blocks: 187538
  Show dependency treegraph
 
Reported: 2005-12-22 13:30 EST by Hernan Petitti
Modified: 2013-03-13 02:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0307
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 13:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hernan Petitti 2005-12-22 13:30:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050921 Red Hat/1.0.7-1.4.1 Firefox/1.0.7

Description of problem:
when I run sysreport in a RHEL 4 cluster node, there's no /etc/cluster/cluster.conf file in the results file (foo.tar.bz2).


Version-Release number of selected component (if applicable):
sysreport-1.3.15-5

How reproducible:
Always

Steps to Reproduce:
1./usr/sbin/sysreport
2.
3.
  

Actual Results:  theres no /etc/cluster/cluster.conf file in the results file (foo.tar.bz2)

Expected Results:  file /etc/cluster/cluster.conf file in the results file (foo.tar.bz2)

Additional info:

#sysreport proposed patch
--- sysreport   2005-08-01 07:30:39.000000000 -0300
+++ sysreport.new       2005-12-22 15:30:22.000000000 -0300
@@ -136,7 +136,7 @@ if [ -d /boot/grub -a -f /boot/grub/grub
   STATUS="Collecting information about the boot process (grub.map):"
   catiffile "/boot/grub/device.map"
 fi
-if [ -f /etc/cluster.conf -o -f /etc/cluster.xml ] ; then
+if [ -f /etc/cluster.conf -o -f /etc/cluster.xml -o -f /etc/cluster/cluster.conf ] ; then
   STATUS="Gathering information on cluster setup"
   # 2.1 AS
   if [ -f /etc/cluster.conf ] ; then
@@ -146,6 +146,10 @@ if [ -f /etc/cluster.conf -o -f /etc/clu
   if [ -f /etc/cluster.xml ] ; then
     catiffile "/etc/cluster.xml"
   fi
+  # Nahant
+  if [ -f /etc/cluster/cluster.conf ] ; then
+    catiffile "/etc/cluster/cluster.conf"
+  fi
 fi

 STATUS="Collecting information about X:"
Comment 1 Ngo Than 2005-12-22 14:22:34 EST
It was fixed in rawhide for a while. It seems the sysreport in RHEL4 still does
not gather the cluster information.
Comment 3 Daniel Riek 2006-04-01 04:49:30 EST
Proposing for RHN Fastrack.

PM ACK for RHN Fastrack.
Comment 4 Ngo Than 2006-04-10 04:54:45 EDT
it's now fixed in 1.3.15-6
Comment 7 David Lawrence 2006-04-18 10:46:39 EDT
PASSES_QA status has been deprecated in favor of VERIFIED. Changing status to
VERIFIED.
Comment 9 Red Hat Bugzilla 2006-05-17 15:46:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0307.html
Comment 10 Hernan Petitti 2006-06-15 22:18:38 EDT
It's still leaving cluster configuration file out of report in 
sysreport-1.3.15-5

Please, if you can, see the proposed patch.

Regards,

Hernan
Comment 11 Ngo Than 2006-06-26 13:10:20 EDT
Why have you reopened this bug? This problem has been fixed in 
sysreport-1.3.15-6, which will be included in RHEL4-U4 update.

please take a look at Comment #6 and Comment #4.

Note You need to log in before you can comment on or make changes to this bug.